webgl开发兼容哪几个浏览器

0 投票
您好,请问现在用webgl开发兼容哪几个浏览器?
10月 15, 2018 分类:  1167次浏览 | 用户: wangzeliang 初出茅庐 (32 分)

1个回答

0 投票

推荐chrome内核的浏览器。ie和火狐也可以跑,不过由于浏览器本身的性能限制,跑三维的效果不如chrome。

另外您可以参考下官网首页的 技术特点 - 与浏览器的兼容性 模块。

http://support.supermap.com.cn:8090/webgl/

10月 16, 2018 用户: 张阳名 登峰造极 (5,560 分)

用IE浏览器会出现这个问题,有这方面的解决方案吗?

是的。ie浏览器本身不支持深度纹理提取。所以我们一般推荐用chrome。

您是一定要用ie吗?有什么特殊的需求呢?
我们这边用IE可以减少很多工作量,IE除了不能深度纹理拾取还有其他的问题吗,能解决吗?
目前已知的ie的问题,除了不支持深度纹理提取,还有对内存释放处理不好、性能相较其他浏览器低下,等等。
这些都是ie浏览器的问题(不然微软也不会推edge),我们无法解决。
...